# class hk_kdegrid

shows data in a grid without columnheaders. More...

Definition | `#include <hk_kdeclasses/hk_kdeclasses/hk_kdegrid.h>`
Inherits | QFrame (unknown) [public ], hk_dsgrid [public ]
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- hk_kdegrid (QWidget* w=0,const char* n=0,WFlags f=0,hk_kdesimpleform* form=NULL)
- virtual ~hk_kdegrid ()
- void set_datasource (hk_datasource* d)
- hk_kdesimplegrid* simplegrid (void)
- hk_kdegridpart* part (void)

#### Public Slots

- void find_clicked (void)
- void find_next (void)
- void findargument_changed (void)
- void print_grid (void)

#### Protected Methods

- virtual bool widget_specific_coordinates (unsigned int px,unsigned int py,unsigned int pwidth,unsigned int pheight)
- virtual void widget_specific_presentationdatasource (long p)
- virtual void widget_specific_enable_disable (void)
- virtual void widget_specific_font_changed (void)
- virtual void resizeEvent (QResizeEvent *)
- virtual void moveEvent ( QMoveEvent * )
- virtual void before_row_change (void)
- virtual void widget_specific_backgroundcolour_changed (const hk_colour&)
- virtual void widget_specific_foregroundcolour_changed (const hk_colour&)
- virtual void widget_specific_columns_created (void)
- void widget_specific_rowheight_changes (void)

## Detailed Description

This widget shows data of a datasource in a grid. If the data is not readonly you can edit the data just by typing in the cell. It has column and row headers and a rowselector.

Just set the datasource and enable it. For details how you can use it see hk_kdesimplegrid.

hk_kdegrid (QWidget* w=0,const char* n=0,WFlags f=0,hk_kdesimpleform* form=NULL)

### hk_kdegrid

~hk_kdegrid ()

### ~hk_kdegrid

[virtual]

void set_datasource (hk_datasource* d)

### set_datasource

the datasource which data it has to show

Reimplemented from hk_dsgrid.

hk_kdesimplegrid* simplegrid (void)

### simplegrid

returns the use hk_kdesimplegrid. Please don't delete it !

hk_kdegridpart* part (void)

### part

void find_clicked (void)

### find_clicked

[slot]

void find_next (void)

### find_next

[slot]

void findargument_changed (void)

### findargument_changed

[slot]

void print_grid (void)

### print_grid

[slot]

bool widget_specific_coordinates (unsigned int px,unsigned int py,unsigned int pwidth,unsigned int pheight)

### widget_specific_coordinates

[protected virtual]

Reimplemented from hk_visible.

void widget_specific_presentationdatasource (long p)

### widget_specific_presentationdatasource

[protected virtual]

Reimplemented from hk_dsvisible.

void widget_specific_enable_disable (void)

### widget_specific_enable_disable

[protected virtual]

Reimplemented from hk_dsvisible.

void widget_specific_font_changed (void)

### widget_specific_font_changed

[protected virtual]

Reimplemented from hk_visible.

void resizeEvent (QResizeEvent *)

### resizeEvent

[protected virtual]

void moveEvent ( QMoveEvent * )

### moveEvent

[protected virtual]

void before_row_change (void)

### before_row_change

[protected virtual]

Reimplemented from hk_dsvisible.

void widget_specific_backgroundcolour_changed (const hk_colour&)

### widget_specific_backgroundcolour_changed

[protected virtual]

Reimplemented from hk_visible.

void widget_specific_foregroundcolour_changed (const hk_colour&)

### widget_specific_foregroundcolour_changed

[protected virtual]

Reimplemented from hk_visible.

void widget_specific_columns_created (void)

### widget_specific_columns_created

[protected virtual]

Reimplemented from hk_dsgrid.

void widget_specific_rowheight_changes (void)

### widget_specific_rowheight_changes

[protected]

Reimplemented from hk_dsgrid.

- Version: $Revision: 1.28 $
- Author: Horst Knorr (hk_classes@knoda.org)
- Generated: horst on horstnotebook on Tue Mar 30 19:06:43 2004, using kdoc 2.0a54.